# Retrieve a shipping transaction Obtain the details of a specific shipping transaction by providing its ID. Endpoint: GET /transactions/{transactionId} Version: 0.0.1 Security: oAuthWithPKCE ## Path parameters: - `transactionId` (string, required) The transaction ID. ## Response 200 fields (application/json): - `id` (string) The transaction ID. Example: "6ea1b3ec-7ac2-40c5-9ed0-d315b2f5f5bd" - `request_id` (string) The ID of the shipping request associated with this transaction. Example: "bf44bd9c-b9fc-4e63-ba48-78539979738a" - `item_ids` (array) The list of item IDs from the shipping request associated with the transaction. Example: ["3e9wzv7zlmdr","abc123xyz","another-id"] - `seller_revenue` (object) A detailed breakdown of the seller's revenue. - `seller_revenue.item_price` (object) The price at which the item was sold. - `seller_revenue.item_price.amount` (number) The amount in the specified currency. Example: 300.89 - `seller_revenue.item_price.currency` (string) The currency code associated with the amount. The only supported currency is EUR. Example: "EUR" - `seller_revenue.delivery_cost` (object) The cost of delivering the item to the buyer. - `seller_revenue.fees_cost` (object) Fees deducted by the platform for the transaction. - `seller_revenue.total` (object) The final amount the seller will receive. - `buyer_cost` (object) A detailed breakdown of the buyer's cost - `buyer_cost.total` (object) The final amount the buyer will pay. - `buyer_user_id` (string) A unique identifier generated by Wallapop to identify the buyer for the shipping request associated with this transaction. Example: "v9owzy2j5g7x" - `delivery_status` (string) The transaction status. The possible statuses are the same as in PendingTransactionResponse. Enum: "pending registration", "pending delivery to carrier", "attempt pickup failed", "deposited at pudo", "delivered to carrier", "on hold at carrier", "on hold instructions received", "in transit", "out for delivery", "attempt delivery failed", "delivered", "lost", "expired", "returned", "unknown", "failed", "cancelled", "cancelled by seller", "available for the recipient" - `carrier_drop_off_mode` (string) The method by which the carrier will receive the item either through the seller's drop-off at the post office or a pickup from the seller's home. Enum: "post office", "home pickup" - `carrier` (string,null) The company or service responsible for transporting and delivering packages from the seller to the buyer. Examples include Correos, Seur, InPost, External if carrier agnostic, and other shipping providers. Example: "Seur" - `carrier_tracking_code` (string,null) The shipment tracking code generated by the carrier. Example: "SEURESITM1S8DWA" - `delivery_label_url` (string,null) The shipping label URL. Example: "https://delivery-labels-test.wallapop.com/a98f3a24-afb2-40d9-a0b6-5285224794fb.jpg" - `delivery_id` (string,null) The delivery id, set when the transaction is linked to a delivery. Example: "ffbb8752-bde8-40e4-ba59-bf6354f7edff" - `buyer_information` (object,null) Information about the buyer's information associated with the shipping request or transaction. If you want to manage logistics, you can contact commercial team to get access to this information. - `buyer_information.name` (string) The full name of the buyer. Example: "John Doe" - `buyer_information.street` (string) The street address of the buyer. Example: "123 Main St" - `buyer_information.postal_code` (string) The postal code of the buyer's address. Example: 8001 - `buyer_information.city` (string) The city of the buyer's address. Example: "Barcelona" - `buyer_information.region` (string) The region or state of the buyer's address. Example: "Catalonia" - `buyer_information.country` (string) The country of the buyer's address. Example: "ES" - `buyer_information.phone_number` (string) The phone number of the buyer. Example: "+34612345678" ## Response 403 fields (application/json): - `code` (string, required) A standardized error descriptor. Enum: "INVALID_ACCEPT_REQUEST", "USER_UNAUTHORIZED", "NOT_FOUND", "ONGOING_DELIVERY", "USER_IS_NOT_THE_SELLER", "INVALID_REGISTER_REQUEST", "ERROR_UPDATING_DELIVERY_STATUS" - `message` (string, required) A detailed error message. Example: "Request `1a24c9e4-32c9-44ea-8f63-9e4f2ba54725` status is not `PENDING`. It is `ACCEPTED`." ## Response 404 fields (application/json): - `code` (string, required) A standardized error descriptor. Enum: "INVALID_ACCEPT_REQUEST", "USER_UNAUTHORIZED", "NOT_FOUND", "ONGOING_DELIVERY", "USER_IS_NOT_THE_SELLER", "INVALID_REGISTER_REQUEST", "ERROR_UPDATING_DELIVERY_STATUS" - `message` (string, required) A detailed error message. Example: "Request `1a24c9e4-32c9-44ea-8f63-9e4f2ba54725` status is not `PENDING`. It is `ACCEPTED`."